## /process/eLoss/

Commands for G4VEnergyLoss.

## Sub-directories :

## Commands :

rndmStep [choice]

  Randomize the proposed step by eLoss.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  choice | type b | Omittable : default value = 0 |

fluct [choice]

  Switch true/false the energy loss fluctuations.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  choice | type b | Omittable : default value = 1 |

subsec [choice]

  Switch true/false the subcutoff generation.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  choice | type b | Omittable : default value = 1 |

minsubsec [rcmin] [Unit]

  Set the min. cut for subcutoff delta in range.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  rcmin | type d | Omittable : default value = |
  Unit | type s |  |

StepFunction [dRoverR] [finalRange] [unit]

  Set the energy loss step limitation parameters.
  dRoverR : max Range variation per step
  finalRange: range for final step

  Available Geant4 state(s) : PreInit Idle

  Parameters

  dRoverR | type d |  | Parameter range : dRoverR>0. && dRoverR<=1.
  finalRange | type d |  | Parameter range : finalRange>0.
  unit | type s | Omittable : default value = mm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

minKinEnergy [emin] [Unit]

  Set the min kinetic energy

  Available Geant4 state(s) : PreInit Idle

  Parameters

  emin | type d | Omittable : default value = |
  Unit | type s |  | Parameter candidates : eV keV MeV GeV TeV PeV J electronvolt kiloelectronvolt megaelectronvolt gigaelectronvolt teraelectronvolt petaelectronvolt joule

maxKinEnergy [emax] [Unit]

  Set the max kinetic energy

  Available Geant4 state(s) : PreInit Idle

  Parameters

  emax | type d | Omittable : default value = |
  Unit | type s |  | Parameter candidates : eV keV MeV GeV TeV PeV J electronvolt kiloelectronvolt megaelectronvolt gigaelectronvolt teraelectronvolt petaelectronvolt joule

integral [integ]

  Switch true/false the integration of cross section over step.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  integ | type b | Omittable : default value = 1 |

preciseRange [range]

  Switch true/false the precise range calculation.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  range | type b | Omittable : default value = 1 |

verbose [verb]

  Set verbose level for EM physics.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  verb | type i | Omittable : default value = 1 |